org.appng.api.model

## Enum AuthSubject.PasswordChangePolicy

- java.lang.Object
- - java.lang.Enum<AuthSubject.PasswordChangePolicy>
  - - org.appng.api.model.AuthSubject.PasswordChangePolicy

- All Implemented Interfaces:
    Serializable, Comparable<AuthSubject.PasswordChangePolicy>
  Enclosing interface:
    AuthSubject

      public static enum AuthSubject.PasswordChangePolicy
      extends Enum<AuthSubject.PasswordChangePolicy>

  The policy for changing the subject's password
  Since:
    1.21

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAY`
    `MUST`
    `MUST_NOT`
    `MUST_RECOVER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthSubject.PasswordChangePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthSubject.PasswordChangePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAY

          public static final AuthSubject.PasswordChangePolicy MAY

    - #### MUST

          public static final AuthSubject.PasswordChangePolicy MUST

    - #### MUST_NOT

          public static final AuthSubject.PasswordChangePolicy MUST_NOT

    - #### MUST_RECOVER

          public static final AuthSubject.PasswordChangePolicy MUST_RECOVER

  - ### Method Detail

    - #### values

          public static AuthSubject.PasswordChangePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthSubject.PasswordChangePolicy c : AuthSubject.PasswordChangePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthSubject.PasswordChangePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.